C	GAMSTP.FOR
C	FUNCTION : TO PREVENT MACRO CONTINUATION
C
C
C
	SUBROUTINE GAMSTP(IDATA,TITLE)
	DIMENSION IDATA(256),ICBLK(4)
	LOGICAL*1 TITLE(6),TIM(8)
	DATA LS/3RLS /,LP/3RLP /
C
C	CHECK IF LS OR LP AVAILABLE
C
	CALL IDSTAT(LS,ICBLK)
D	WRITE(7,300)ICBLK(3)
300	FORMAT(' ICNLK(3) ',I6,//)
	IF (ICBLK(3).NE.0) GOTO 2
	CALL IDSTAT(LP,ICBLK)
	IF (ICBLK(3).NE.0) GOTO 2
	GOTO 5
2	CALL TIME(TIM)
	WRITE(7,1)(TITLE(I),I=1,6),(TIM(I),I=1,8)
1	FORMAT(' ENTERING FORTRAN PROGRAM  ',6A1
	1,' AT ',8A1,//)
C
C	OPEN SAVE AREA ZERO
C
5	CALL SAVOP(0,ISAVE0,IDATA,IERR)
	ITP = 0
	CALL READW(256,IDATA,ITP,ISAVE0)
C
C	SET GAMMA FOR MACRO CONTINUATION
C
	IDATA(95) = 0
	ITP = 0
	CALL WRITW(256,IDATA,ITP,ISAVE0)
	ITP = 33
	CALL READW(256,IDATA,ITP,ISAVE0)
	CALL CLOSEC(ISAVE0)
	CALL IFREEC(ISAVE0)
	RETURN
	END
